From 3c2f86bcdb185a7c65e6658bb9938b2020239acc Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Mon, 16 Jun 2014 23:00:44 +0200
Subject: [PATCH] kernel/ath: Revert 881d974b800 and d98a0bcf56c.

---
 sys/contrib/dev/ath/ath_hal/ar9300/ar9300_attach.c |   4 -
 .../dev/ath/ath_hal/ar9300/ar9300_freebsd.c        |   6 -
 sys/contrib/dev/ath/ath_hal/ar9300/ar9300_power.c  |  18 +-
 sys/dev/netif/ath/ath/if_ath.c                     | 482 ++-------------------
 sys/dev/netif/ath/ath/if_ath_beacon.c              |  83 +---
 sys/dev/netif/ath/ath/if_ath_beacon.h              |   1 -
 sys/dev/netif/ath/ath/if_ath_debug.h               |   1 -
 sys/dev/netif/ath/ath/if_ath_keycache.c            |  12 +-
 sys/dev/netif/ath/ath/if_ath_led.c                 |   4 -
 sys/dev/netif/ath/ath/if_ath_misc.h                |  13 -
 sys/dev/netif/ath/ath/if_ath_rx.c                  | 109 +----
 sys/dev/netif/ath/ath/if_ath_rx_edma.c             |  26 +-
 sys/dev/netif/ath/ath/if_ath_sysctl.c              |   2 -
 sys/dev/netif/ath/ath/if_ath_tx.c                  | 414 ++++++------------
 sys/dev/netif/ath/ath/if_athvar.h                  |  23 +-
 sys/dev/netif/ath/ath_hal/ah.c                     |   2 -
 sys/dev/netif/ath/ath_hal/ah.h                     |   5 -
 sys/dev/netif/ath/ath_hal/ah_internal.h            |   3 +-
 sys/dev/netif/ath/ath_hal/ah_osdep.c               |  46 --
 sys/dev/netif/ath/ath_hal/ah_regdomain.c           |   5 -
 .../netif/ath/ath_hal/ah_regdomain/ah_rd_regenum.h |   1 -
 sys/dev/netif/ath/ath_hal/ar5210/ar5210.h          |   3 +-
 sys/dev/netif/ath/ath_hal/ar5210/ar5210_attach.c   |   2 +-
 sys/dev/netif/ath/ath_hal/ar5210/ar5210_misc.c     |   1 -
 sys/dev/netif/ath/ath_hal/ar5210/ar5210_power.c    |  12 +-
 sys/dev/netif/ath/ath_hal/ar5210/ar5210_reset.c    |   4 -
 sys/dev/netif/ath/ath_hal/ar5211/ar5211.h          |   1 +
 sys/dev/netif/ath/ath_hal/ar5211/ar5211_power.c    |  12 +-
 sys/dev/netif/ath/ath_hal/ar5212/ar5212.h          |   1 +
 sys/dev/netif/ath/ath_hal/ar5212/ar5212_power.c    |  10 +-
 sys/dev/netif/ath/ath_hal/ar5312/ar5312_power.c    |   5 +-
 sys/dev/netif/ath/ath_hal/ar5416/ar5416_attach.c   |   5 -
 sys/dev/netif/ath/ath_hal/ar5416/ar5416_beacon.c   |  26 --
 .../netif/ath/ath_hal/ar5416/ar5416_interrupts.c   |   3 -
 sys/dev/netif/ath/ath_hal/ar5416/ar5416_power.c    |  13 +-
 sys/dev/netif/ath/ath_hal/ar5416/ar5416reg.h       |   4 +-
 sys/netproto/802_11/ieee80211_power.h              |   3 -
 sys/netproto/802_11/ieee80211_proto.h              |   2 -
 sys/netproto/802_11/ieee80211_var.h                |   3 -
 sys/netproto/802_11/wlan/ieee80211.c               |   3 +-
 sys/netproto/802_11/wlan/ieee80211_ioctl.c         |  14 +-
 sys/netproto/802_11/wlan/ieee80211_output.c        |  29 +-
 sys/netproto/802_11/wlan/ieee80211_power.c         |  86 ----
 sys/netproto/802_11/wlan/ieee80211_proto.c         |   4 +-
 sys/netproto/802_11/wlan/ieee80211_sta.c           |  59 +--
 45 files changed, 238 insertions(+), 1327 deletions(-)

diff --git a/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_attach.c b/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_attach.c
index 46833ef..335414e 100644
--- a/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_attach.c
+++ b/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_attach.c
@@ -2934,10 +2934,6 @@ ar9300_fill_capability_info(struct ath_hal *ah)
         p_cap->halRxUsingLnaMixing = AH_TRUE;
     }
 
-    /*
-     * AR5416 and later NICs support MYBEACON filtering.
-     */
-    p_cap->halRxDoMyBeacon = AH_TRUE;
 
 #if ATH_WOW_OFFLOAD
     if (AR_SREV_JUPITER_20_OR_LATER(ah) || AR_SREV_APHRODITE(ah)) {
diff --git a/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_freebsd.c b/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_freebsd.c
index a2cc25d..251957e 100644
--- a/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_freebsd.c
+++ b/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_freebsd.c
@@ -60,11 +60,6 @@ ar9300_freebsd_set_tx_power_limit(struct ath_hal *ah, uint32_t limit)
 	return (ar9300_set_tx_power_limit(ah, limit, 0, 0));
 }
 
-static uint64_t
-ar9300_get_next_tbtt(struct ath_hal *ah)
-{
-	return (OS_REG_READ(ah, AR_NEXT_TBTT_TIMER));
-}
 
 void
 ar9300_attach_freebsd_ops(struct ath_hal *ah)
@@ -200,7 +195,6 @@ ar9300_attach_freebsd_ops(struct ath_hal *ah)
 	ah->ah_setStationBeaconTimers = ar9300_set_sta_beacon_timers;
 	/* ah_resetStationBeaconTimers */
 	/* ah_getNextTBTT */
-	ah->ah_getNextTBTT = ar9300_get_next_tbtt;
 
 	/* Interrupt functions */
 	ah->ah_isInterruptPending	= ar9300_is_interrupt_pending;
diff --git a/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_power.c b/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_power.c
index 0fe4d63..44bebe4 100644
--- a/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_power.c
+++ b/sys/contrib/dev/ath/ath_hal/ar9300/ar9300_power.c
@@ -666,17 +666,9 @@ ar9300_set_power_mode(struct ath_hal *ah, HAL_POWER_MODE mode, int set_chip)
     HALDEBUG(ah, HAL_DEBUG_POWER_MGMT, "%s: %s -> %s (%s)\n", __func__,
         modes[ar9300_get_power_mode(ah)], modes[mode],
         set_chip ? "set chip " : "");
-
-#if 0
-    kprintf("%s: %s -> %s (%s)\n", __func__,
-        modes[ar9300_get_power_mode(ah)], modes[mode],
-        set_chip ? "set chip " : "");
-#endif
-
+    
     switch (mode) {
     case HAL_PM_AWAKE:
-        if (set_chip)
-            ah->ah_powerMode = mode;
         status = ar9300_set_power_mode_awake(ah, set_chip);
 #if ATH_SUPPORT_MCI
         if (AH_PRIVATE(ah)->ah_caps.halMciSupport) {
@@ -706,10 +698,7 @@ ar9300_set_power_mode(struct ath_hal *ah, HAL_POWER_MODE mode, int set_chip)
         }
 #endif
         ar9300_set_power_mode_sleep(ah, set_chip);
-        if (set_chip) {
-            ahp->ah_chip_full_sleep = AH_TRUE;
-            ah->ah_powerMode = mode;
-        }
+        ahp->ah_chip_full_sleep = AH_TRUE;
         break;
     case HAL_PM_NETWORK_SLEEP:
 #if ATH_SUPPORT_MCI
@@ -718,9 +707,6 @@ ar9300_set_power_mode(struct ath_hal *ah, HAL_POWER_MODE mode, int set_chip)
         }
 #endif
         ar9300_set_power_mode_network_sleep(ah, set_chip);
-        if (set_chip) {
-            ah->ah_powerMode = mode;
-        }
         break;
     default:
         HALDEBUG(ah, HAL_DEBUG_POWER_MGMT,
